ldap_error
ldap_explode_dn
LDAP Functions
PHP Manual

# ldap_escape

(PHP 5 >= 5.6.0)

ldap_escape — Escape a string for use in an LDAP filter or DN

### Description

string ldap_escape ( string `$value` [, string `$ignore` [, int `$flags` ]] )

Escapes `value` for use in the context implied by `flags`.

### Parameters

`value`

  The value to escape.

`ignore`

  Characters to ignore when escaping.

`flags`

  The context the escaped string will be used in: `LDAP_ESCAPE_FILTER` for filters to be used with ldap_search(), or `LDAP_ESCAPE_DN` for DNs.

### Return Values

Returns the escaped string.

ldap_error
ldap_explode_dn
LDAP Functions
PHP Manual